---

#! /db/releases/20250409120408/lkp-src/jobs/stress-ng-part2.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: mlockmany
job_origin: stress-ng-part2.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp7
tbox_group: lkp-icl-2sp7
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-performance-100%-mlockmany-60s-debian-12-x86_64-20240206.cgz-6bef4c2f9722-20250412-150650-1d74frp-1.yaml"
id: 50bfa2751305130c2807cd2c8e6b724e12ab3fc9
queuer_version: "/zday/lkp"

#! /db/releases/20250409120408/lkp-src/hosts/lkp-icl-2sp7
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WXK2E319F11A-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401PU4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6988c014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
ucode: '0xd0003a5'

#! /db/releases/20250409120408/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20250409120408/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20250409120408/lkp-src/include/queue/cyclic
commit: 6bef4c2f97221f3b595d08c8656eb5845ef80fe9

#! /db/releases/20250409120408/lkp-src/programs/stress-ng/include
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-04-12 10:58:56.799110202 +08:00
_rt: "/result/stress-ng/performance-100%-mlockmany-60s/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9"
compiler: gcc-12
head_commit: c84efe49e0fe54fcd686b067b41004448c63afe9
base_commit: 0af2f6be1b4281385b618cb86ad946eded089ac8
branch: internal-devel/devel-hourly-20250411-160316
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20250410-131751"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-mlockmany-60s/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9/vmlinuz-6.14.0-rc6-00132-g6bef4c2f9722
- branch=internal-devel/devel-hourly-20250411-160316
- job=/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-performance-100%-mlockmany-60s-debian-12-x86_64-20240206.cgz-6bef4c2f9722-20250412-150650-1d74frp-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=6bef4c2f97221f3b595d08c8656eb5845ef80fe9
- intremap=posted_msi
- acpi_rsdp=0x6988c014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20250212.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-1c71921fd-1_20250212.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250410132650/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp7/stress-ng-performance-100%-mlockmany-60s-debian-12-x86_64-20240206.cgz-6bef4c2f9722-20250412-150650-1d74frp-1.cgz"
last_kernel: 6.15.0-rc1
acpi_rsdp: '0x6988c014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9/vmlinuz-6.14.0-rc6-00132-g6bef4c2f9722"
result_root: "/result/stress-ng/performance-100%-mlockmany-60s/lkp-icl-2sp7/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6bef4c2f97221f3b595d08c8656eb5845ef80fe9/0"
dequeue_time: 2025-04-12 08:46:27.612223441 +08:00
job_state: finished
loadavg: 80.61 71.55 29.83 1/743 280806
start_time: '1744419050'
end_time: '1744419110'
version: "/lkp/lkp/.src-20250410-131751:5a33fa52ad0e-dirty:6851cd136246"
